org.licas.ws

## Class LicasWsFactory

- java.lang.Object
- - org.licas.ws.WsFactory
  - - org.licas.ws.LicasWsFactory

-     public class LicasWsFactory
      extends WsFactory

  Factory object for web services.
  Author:
    Kieran Greer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LicasWsFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WsMethodInfo` | `createSoapCall(java.lang.String operationName, boolean setRtn, boolean paramValues, LicasWsdlModel lWsdlModel)` Create and return a method info object for invoking a web service using the SOAP protocol.
    `WsMethodInfo` | `createSoapCall(java.lang.String webService, java.lang.String operation, java.lang.String endpointAddress, java.lang.String soapActionUri, java.lang.String namespace, java.util.ArrayList parameters, boolean setRtn)` Create and return a method info object for invoking a web service using the SOAP protocol.
    `Soap_BaseHandler` | `createSoapMethodHandler()` Create the client soap method handler.
    `void` | `LicasWsFactory()`
    `WsMethodInfo` | `toMethodInfo(java.lang.String method, java.lang.String descr)` Required by some string-based requests, to convert them back into the method info object.

    - ### Methods inherited from class org.licas.ws.WsFactory

      `addPrefix, getInstance, hasInstance, removePrefix, setInstance, toMethodInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LicasWsFactory

          public LicasWsFactory()

  - ### Method Detail

    - #### LicasWsFactory

          public void LicasWsFactory()

    - #### createSoapCall

          public WsMethodInfo createSoapCall(java.lang.String operationName,
                                             boolean setRtn,
                                             boolean paramValues,
                                             LicasWsdlModel lWsdlModel)
                                      throws java.lang.Exception

      Create and return a method info object for invoking a web service using the SOAP protocol.
      Specified by:
        `createSoapCall` in class `WsFactory`
      Parameters:
        `operationName` - the name of the operation to call.
        `setRtn` - true if set the return Object type.
        `paramValues` - if true add the parameter values as `WsdlParamInfo` objects.
        `lWsdlModel` - the wsdl model that stores the description.
      Returns:
        a web service info object with the appropriate values.
      Throws:
        `java.lang.Exception` - any error.

    - #### createSoapCall

          public WsMethodInfo createSoapCall(java.lang.String webService,
                                             java.lang.String operation,
                                             java.lang.String endpointAddress,
                                             java.lang.String soapActionUri,
                                             java.lang.String namespace,
                                             java.util.ArrayList parameters,
                                             boolean setRtn)
                                      throws java.lang.Exception

      Create and return a method info object for invoking a web service using the SOAP protocol. Note that this does not work for a locally run web service, but only a remote one (not on licas).
      Specified by:
        `createSoapCall` in class `WsFactory`
      Parameters:
        `webService` - the service name.
        `operation` - the name of the operation to call.
        `endpointAddress` - the server endpoint address.
        `soapActionUri` - soap action uri type.
        `namespace` - ontology namespace.
        `parameters` - list of `WsdlParamInfo` objects that store parameter types and values.
        `setRtn` - true if set the return Object type.
      Returns:
        a web service info object with the appropriate values.
      Throws:
        `java.lang.Exception` - any error.

    - #### createSoapMethodHandler

          public Soap_BaseHandler createSoapMethodHandler()

      Create the client soap method handler.
      Specified by:
        `createSoapMethodHandler` in class `WsFactory`
      Returns:
        a soap handler derived from `Soap_BaseHandler`.

    - #### toMethodInfo

          public WsMethodInfo toMethodInfo(java.lang.String method,
                                           java.lang.String descr)
                                    throws java.lang.Exception

      Required by some string-based requests, to convert them back into the method info object. A script might require parsing from a string, for example.
      Specified by:
        `toMethodInfo` in class `WsFactory`
      Parameters:
        `method` - the method name.
        `descr` - the method call description.
      Returns:
        the related method info object.
      Throws:
        `java.lang.Exception` - any error.